Bastion Hosts - Update
Updates Tags or identity for BastionHost resource
PATCH https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/bastionHosts/{bastionHostName}?api-version=2026-01-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
bastion
|
path | True |
string |
The name of the Bastion Host. |
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
The name of the resource group. The name is case insensitive. |
|
subscription
|
path | True |
string (uuid) |
The ID of the target subscription. The value must be an UUID. |
|
api-version
|
query | True |
string minLength: 1 |
The API version to use for this operation. |
Request Body
| Name | Type | Description |
|---|---|---|
| identity |
The identity of the BastionHost, if configured. |
|
| tags |
object |
Resource tags. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Azure operation completed successfully. |
|
| 202 Accepted |
Resource update request accepted. Headers
|
|
| Other Status Codes |
An unexpected error response. |
Security
azure_auth
Azure Active Directory OAuth2 Flow.
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Examples
Patch Bastion Host
Sample request
PATCH https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.Network/bastionHosts/bastionhosttenant?api-version=2026-01-01
{
"identity": {
"type": "UserAssigned",
"userAssignedIdentities": {
"/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ManagedIdentity/userAssignedIdentities/bastionidentity": {}
}
},
"tags": {
"tag1": "value1",
"tag2": "value2"
}
}
Sample response
{
"name": "bastionhosttenant",
"type": "Microsoft.Network/bastionHosts",
"etag": "w/\\00000000-0000-0000-0000-000000000000\\",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.Network/bastionHosts/bastionhosttenant",
"location": "West US",
"properties": {
"disableCopyPaste": false,
"dnsName": "bst-9d89d361-100e-4c01-b92d-466548c476dc.bastion.azure.com",
"enableIpConnect": false,
"enableKerberos": false,
"enablePrivateOnlyBastion": false,
"enableSessionRecording": false,
"enableShareableLink": false,
"enableTunneling": false,
"ipConfigurations": [
{
"name": "bastionHostIpConfiguration",
"type": "Microsoft.Network/bastionHosts/bastionHostIpConfigurations",
"etag": "w/\\00000000-0000-0000-0000-000000000000\\",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.Network/bastionHosts/bastionhosttenant/bastionHostIpConfigurations/bastionHostIpConfiguration",
"properties": {
"privateIPAllocationMethod": "Dynamic",
"provisioningState": "Succeeded",
"publicIPAddress": {
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.Network/publicIPAddresses/pipName"
},
"subnet": {
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.Network/virtualNetworks/vnet2/subnets/BastionHostSubnet"
}
}
}
],
"provisioningState": "Succeeded",
"scaleUnits": 2
},
"sku": {
"name": "Standard"
},
"tags": {
"tag1": "value1",
"tag2": "value2"
},
"identity": {
"userAssignedIdentities": {
"/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ManagedIdentity/userAssignedIdentities/bastionidentity": {
"principalId": "00000000-0000-0000-0000-000000000000",
"clientId": "00000000-0000-0000-0000-000000000000"
}
}
}
}
azure-asyncoperation: http://azure.async.operation/status
Definitions
| Name | Description |
|---|---|
|
Bastion |
Bastion Host resource. |
|
Bastion |
IP configuration of an Bastion Host. |
|
Bastion |
|
|
Bastion |
The name of the sku of this Bastion Host. |
|
Bastion |
Parameters supplied to update the Bastion Host identity or tags. |
|
Bastion |
Bastion Session Recording Configuration. |
|
Cloud |
An error response from the service. |
|
Cloud |
An error response from the service. |
|
IPAllocation |
IP address allocation method. |
| IPRule | |
|
Managed |
Identity for the resource. |
|
Managed |
|
|
Provisioning |
Provisioning states of a resource. |
|
Resource |
The type of identity used for the resource. The type 'SystemAssigned, UserAssigned' includes both an implicitly created identity and a set of user assigned identities. The type 'None' will remove any identities from the virtual machine. |
|
Session |
The identity to use for accessing the blob container where recordings will be stored |
|
Session |
The type of identity to use |
| Sku |
The sku of this Bastion Host. |
|
Sub |
Reference to another subresource. |
BastionHost
Bastion Host resource.
| Name | Type | Default value | Description |
|---|---|---|---|
| etag |
string |
A unique read-only string that changes whenever the resource is updated. |
|
| id |
string |
Resource ID. |
|
| identity |
The identity assigned to the Bastion Host resource |
||
| location |
string |
Resource location. |
|
| name |
string |
Resource name. |
|
| properties.disableCopyPaste |
boolean |
False |
Enable/Disable Copy/Paste feature of the Bastion Host resource. |
| properties.dnsName |
string |
FQDN for the endpoint on which bastion host is accessible. |
|
| properties.enableFileCopy |
boolean |
False |
Enable/Disable File Copy feature of the Bastion Host resource. |
| properties.enableIpConnect |
boolean |
False |
Enable/Disable IP Connect feature of the Bastion Host resource. |
| properties.enableKerberos |
boolean |
False |
Enable/Disable Kerberos feature of the Bastion Host resource. |
| properties.enablePrivateOnlyBastion |
boolean |
False |
Enable/Disable Private Only feature of the Bastion Host resource. |
| properties.enableSessionRecording |
boolean |
False |
Enable/Disable Session Recording feature of the Bastion Host resource. |
| properties.enableShareableLink |
boolean |
False |
Enable/Disable Shareable Link of the Bastion Host resource. |
| properties.enableTunneling |
boolean |
False |
Enable/Disable Tunneling feature of the Bastion Host resource. |
| properties.ipConfigurations |
IP configuration of the Bastion Host resource. |
||
| properties.networkAcls | |||
| properties.provisioningState |
The provisioning state of the bastion host resource. |
||
| properties.scaleUnits |
integer (int32) minimum: 2maximum: 50 |
The scale units for the Bastion Host resource. |
|
| properties.sessionRecordingConfiguration |
The storage account and identity to use for session recording |
||
| properties.virtualNetwork |
Reference to an existing virtual network required for Developer Bastion Host only. |
||
| sku |
The sku of this Bastion Host. |
||
| tags |
object |
Resource tags. |
|
| type |
string |
Resource type. |
|
| zones |
string[] |
A list of availability zones denoting where the resource needs to come from. |
BastionHostIPConfiguration
IP configuration of an Bastion Host.
| Name | Type | Description |
|---|---|---|
| etag |
string |
A unique read-only string that changes whenever the resource is updated. |
| id |
string |
Resource ID. |
| name |
string |
Name of the resource that is unique within a resource group. This name can be used to access the resource. |
| properties.privateIPAllocationMethod |
Private IP allocation method. |
|
| properties.provisioningState |
The provisioning state of the bastion host IP configuration resource. |
|
| properties.publicIPAddress |
Reference of the PublicIP resource. Null for private only bastion |
|
| properties.subnet |
Reference of the subnet resource. |
|
| type |
string |
Ip configuration type. |
BastionHostPropertiesFormatNetworkAcls
| Name | Type | Description |
|---|---|---|
| ipRules |
IPRule[] |
Sets the IP ACL rules for Developer Bastion Host. |
BastionHostSkuName
The name of the sku of this Bastion Host.
| Value | Description |
|---|---|
| Basic |
Basic |
| Standard |
Standard |
| Developer |
Developer |
| Premium |
Premium |
BastionHostUpdate
Parameters supplied to update the Bastion Host identity or tags.
| Name | Type | Description |
|---|---|---|
| identity |
The identity of the BastionHost, if configured. |
|
| tags |
object |
Resource tags. |
BastionSessionRecordingConfiguration
Bastion Session Recording Configuration.
| Name | Type | Description |
|---|---|---|
| blobContainerUri |
string (uri) |
The blob container to store the recordings. Ex: |
| identity |
The identity to use for accessing the blob container where recordings will be stored |
CloudError
An error response from the service.
| Name | Type | Description |
|---|---|---|
| error |
Cloud error body. |
CloudErrorBody
An error response from the service.
| Name | Type | Description |
|---|---|---|
| code |
string |
An identifier for the error. Codes are invariant and are intended to be consumed programmatically. |
| details |
A list of additional details about the error. |
|
| message |
string |
A message describing the error, intended to be suitable for display in a user interface. |
| target |
string |
The target of the particular error. For example, the name of the property in error. |
IPAllocationMethod
IP address allocation method.
| Value | Description |
|---|---|
| Static |
Static |
| Dynamic |
Dynamic |
IPRule
| Name | Type | Description |
|---|---|---|
| addressPrefix |
string |
Specifies the IP or IP range in CIDR format. Only IPV4 address is allowed. |
ManagedServiceIdentity
Identity for the resource.
| Name | Type | Description |
|---|---|---|
| principalId |
string |
The principal id of the system assigned identity. This property will only be provided for a system assigned identity. |
| tenantId |
string |
The tenant id of the system assigned identity. This property will only be provided for a system assigned identity. |
| type |
The type of identity used for the resource. The type 'SystemAssigned, UserAssigned' includes both an implicitly created identity and a set of user assigned identities. The type 'None' will remove any identities from the virtual machine. |
|
| userAssignedIdentities |
The list of user identities associated with resource. The user identity dictionary key references will be ARM resource ids in the form: '/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ManagedIdentity/userAssignedIdentities/{identityName}'. |
ManagedServiceIdentityUserAssignedIdentities
| Name | Type | Description |
|---|---|---|
| clientId |
string |
The client id of user assigned identity. |
| principalId |
string |
The principal id of user assigned identity. |
ProvisioningState
Provisioning states of a resource.
| Value | Description |
|---|---|
| Failed |
Failed |
| Succeeded |
Succeeded |
| Canceled |
Canceled |
| Creating |
Creating |
| Updating |
Updating |
| Deleting |
Deleting |
ResourceIdentityType
The type of identity used for the resource. The type 'SystemAssigned, UserAssigned' includes both an implicitly created identity and a set of user assigned identities. The type 'None' will remove any identities from the virtual machine.
| Value | Description |
|---|---|
| SystemAssigned |
SystemAssigned |
| UserAssigned |
UserAssigned |
| SystemAssigned, UserAssigned |
SystemAssigned, UserAssigned |
| None |
None |
SessionRecordingIdentity
The identity to use for accessing the blob container where recordings will be stored
| Name | Type | Description |
|---|---|---|
| type |
The type of identity to use |
|
| userAssignedIdentityId |
string (arm-id) |
User assigned identity to use for accessing blob container Uri. Ex: /subscriptions/fa5fc227-a624-475e-b696-cdd604c735bc/resourceGroups/<resource group>/providers/Microsoft.ManagedIdentity/userAssignedIdentities/myId. Mutually exclusive with identity type systemAssigned. |
SessionRecordingIdentityType
The type of identity to use
| Value | Description |
|---|---|
| SystemAssigned |
System assigned identity |
| UserAssigned |
User assigned identity |
Sku
The sku of this Bastion Host.
| Name | Type | Default value | Description |
|---|---|---|---|
| name | Standard |
The name of the sku of this Bastion Host. |
SubResource
Reference to another subresource.
| Name | Type | Description |
|---|---|---|
| id |
string |
Resource ID. |